# SPDX-License-Identifier: GPL-2.0-only
%YAML 1.2
---
$id: http://devicetree.org/schemas/crypto/qcom,prng.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm Pseudo Random Number Generator

maintainers:
  - Vinod Koul <vkoul@kernel.org>

properties:
  compatible:
    oneOf:
      - enum:
          - qcom,prng  # 8916 etc.
          - qcom,prng-ee  # 8996 and later using EE
      - items:
          - const: qcom,sm8450-prng-ee
          - const: qcom,prng-ee

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  clock-names:
    items:
      - const: core

required:
  - compatible
  - reg

allOf:
  - if:
      not:
        properties:
          compatible:
            contains:
              const: qcom,sm8450-prng-ee
    then:
      required:
        - clocks
        - clock-names

additionalProperties: false

examples:
  - |
    rng@f9bff000 {
        compatible = "qcom,prng";
        reg = <0xf9bff000 0x200>;
        clocks = <&clk 125>;
        clock-names = "core";
    };
